> ## Documentation Index
> Fetch the complete documentation index at: https://docs.daily.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Access-Link

> Get access-link to download batch processing outputs

## GET /batch-processor/:id/access-link

This endpoint creates links where you can download your batch processing outputs for the given job ID. The API will return HTTP 404 if the job ID does not exist. It returns HTTP 400 if the job status is not `finished`.

### Response definitions

Top-level:

| Attribute Name  | Type     | Description                                                                      | Example                                |
| --------------- | -------- | -------------------------------------------------------------------------------- | -------------------------------------- |
| `id`            | `string` | The ID of the job                                                                | "3ab8faa2-8ba2-4ee6-bd15-003a92c18245" |
| `preset`        | `string` | The preset given when submitting the job                                         | "recordingId"                          |
| `status`        | `string` | The status of the job. One of: \["submitted", "processing", "finished", "error"] | "finished"                             |
| `transcription` | `list`   | List of transcript access-links                                                  | `[...]`                                |
| `summary`       | `object` | The summary outputs access-link from summarize job                               | `{...}`                                |

In the `transcription` list:

| Attribute Name | Type     | Description                        | Example                                                                        |
| -------------- | -------- | ---------------------------------- | ------------------------------------------------------------------------------ |
| `format`       | `string` | The filetype of the transcript     | "txt"                                                                          |
| `link`         | `string` | The access-link to the output file | "[https://access-link-url.tld/file.txt](https://access-link-url.tld/file.txt)" |

In the `summary` object:

| Attribute Name | Type     | Description                        | Example                                                                        |
| -------------- | -------- | ---------------------------------- | ------------------------------------------------------------------------------ |
| `format`       | `string` | The filetype of the summary        | "txt"                                                                          |
| `link`         | `string` | The access-link to the output file | "[https://access-link-url.tld/file.txt](https://access-link-url.tld/file.txt)" |

### Examples

<Tabs>
  <Tab title="Request">
    ```curl theme={null}
    curl -H "Content-Type: application/json" \
         -H "Authorization: Bearer $TOKEN" \
         https://api.daily.co/v1/batch-processor/uuiasdfe-8ba2-4ee6-bd15-003a92c18245/access-link
    ```
  </Tab>

  <Tab title="200 OK">
    ```json theme={null}
    {
      "id": "fd264433-2947-451a-bd4f-9405c4ed3d8c",
      "preset": "summarize",
      "status": "finished",
      "transcription": [
        {
          "format": "txt",
          "link": "https://access-link-url.tld/file.txt"
        },
        {
          "format": "json",
          "link": "https://access-link-url.tld/file.json"
        },
        {
          "format": "srt",
          "link": "https://access-link-url.tld/file.srt"
        },
        {
          "format": "vtt",
          "link": "https://access-link-url.tld/file.vtt"
        }
      ],
      "summary": {
        "format": "txt",
        "link": "https://access-link-url.tld/file.txt"
      }
    }
    ```
  </Tab>
</Tabs>
